Page MenuHomePhabricator

Bring video.js in via composer
Closed, DuplicatePublic

Description

Video.js is available on packagist/composer, so rather than keeping copies of the files in our local repo, would be nice to bring them in...

Obviously, as it's not PHP, and the file path isn't going to be fixed, this is going to be more complicated...

Details

Related Gerrit Patches:
mediawiki/vendor : masterAdd videojs/video.js for TimedMediaHandler
mediawiki/extensions/TimedMediaHandler : master[WIP] Bring in video.js from composer

Event Timeline

Reedy created this task.Nov 6 2016, 3:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 6 2016, 3:03 PM

Change 320094 had a related patch set uploaded (by Reedy):
[WIP] Bring in video.js from composer

https://gerrit.wikimedia.org/r/320094

Paladox added a subscriber: Paladox.Nov 6 2016, 3:07 PM

Can we add the files to mediawiki-vendor repo please?

Reedy added a comment.Nov 6 2016, 3:08 PM

Can we add the files to mediawiki-vendor repo please?

That is the point, I'm making that commit now. It won't be such a simple swap over as it would be for PHP files, so might need a bit of playing about

Change 320095 had a related patch set uploaded (by Reedy):
Add videojs/video.js for TimedMediaHandler

https://gerrit.wikimedia.org/r/320095

TheDJ added a subscriber: TheDJ.EditedNov 7 2016, 12:57 PM

I don't think we should pull this from composer. The general direction we are looking in is npm and maybe yarn. pulling this one library into composer doesn't help us much and will create further disjunction.

I'd rather just commit the node_modules subdirectory.

Reedy added a comment.Nov 7 2016, 1:04 PM

I don't think we should pull this from composer. The general direction we are looking in is npm and maybe yarn. pulling this one library into composer doesn't help us much and will create further disjunction.
I'd rather just commit the node_modules subdirectory.

Looks kinda unloved... https://github.com/wikimedia/mediawiki-extensions-TimedMediaHandler/blob/master/package.json#L17 - 5.12.2 exists in our repo...

TheDJ added a comment.Nov 7 2016, 1:21 PM

That's because apparently last time @Paladox forgot to update that.

TheDJ added a comment.Nov 8 2016, 11:08 AM

Related discussion about JS frontend library management is in T107561: MediaWiki support for Composer equivalent for JavaScript packages.

Change 320094 abandoned by Reedy:
[WIP] Bring in video.js from composer

https://gerrit.wikimedia.org/r/320094

Change 320095 abandoned by Reedy:
Add videojs/video.js for TimedMediaHandler

https://gerrit.wikimedia.org/r/320095